package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


@Data
@Entity
@Table(name = "custom_login_special_calc")
public class CustomLoginSpecialCalcTable extends BaseTable {

    private Long login;
    /**
     * 是否计算内拥
     * 0 ： 否
     * 1 ： 是
     */
    private Integer agentRebateValid;
    /**
     * 是否计算外佣
     * 0 ： 否
     * 1 ： 是
     */
    private Integer agentCommissionValid;
    /**
     * 是否计算暗点
     * 0 ： 否
     * 1 ： 是
     */
    private Integer agentHiddenValid;
    /**
     * 是否计算销售基本工资
     * 0 ： 否
     * 1 ： 是
     */
    private Integer salesSalaryValid;
    /**
     * 是否计算销售绩效
     * 0 ： 否
     * 1 ： 是
     */
    private Integer salesKpiValid;
    /**
     * 是否计算销售交易量佣金
     * 0 ： 否
     * 1 ： 是
     */
    private Integer salesCommissionValid;
    /**
     * 是否计算排名
     * 0 ： 否
     * 1 ： 是
     */
    private Integer salesRankingValid;

    public static CustomLoginSpecialCalcTable getInstance() {
        CustomLoginSpecialCalcTable customLoginSpecialCalcTable = new CustomLoginSpecialCalcTable();
        customLoginSpecialCalcTable.setAgentRebateValid(0);
        customLoginSpecialCalcTable.setAgentCommissionValid(0);
        customLoginSpecialCalcTable.setAgentHiddenValid(0);
        customLoginSpecialCalcTable.setSalesSalaryValid(0);
        customLoginSpecialCalcTable.setSalesKpiValid(0);
        customLoginSpecialCalcTable.setSalesCommissionValid(0);
        customLoginSpecialCalcTable.setSalesRankingValid(0);
        return customLoginSpecialCalcTable;
    }


}
